/// <reference types="react" />
import { Component, MouseEvent } from 'react';
interface dataItem {
    id?: string | number;
    user_avatar?: string;
    bill_price?: number;
}
interface Props {
    isToggle: boolean;
    onToggleChange: Function;
    onConsumeItemClick: (e: MouseEvent, clickData: any) => any;
    dataSource: Array<dataItem>;
    listLength: number;
    showLength: number;
    options: {
        avatarSize: number;
        avatarMarginLeftAndRight: number;
        kingdomWidth: number;
        kingdomHeight: number;
        kingdomPosition: [number, number];
    };
}
declare class ConsumeListView extends Component<Props, {}> {
    static defaultProps: Props;
    renderConsumeItem(): JSX.Element[];
    renderToggleButton(): JSX.Element | null;
    render(): JSX.Element;
}
export { ConsumeListView as default };
