import { _ as _defineProperty } from './defineProperty-18999f8e.js';

var IMAGE_PROCESS = '?x-oss-process=image/resize,h_350';
var IMAGE_PROCESS_SMALL = '?x-oss-process=image/resize,h_100';
var IMAGE_PROCESS_LARGE = '?x-oss-process=image/resize,h_500';
function addImageProcess(url) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {
    width: '36px',
    height: '36px'
  };

  if (url && url.indexOf('x-oss-process') > -1) {
    return url;
  }

  if (options.small) {
    return url + IMAGE_PROCESS_SMALL;
  }

  if (options.large) {
    return url + IMAGE_PROCESS_LARGE;
  }

  if (options.custom) {
    return "".concat(url, "?x-oss-process=image/resize,limit_0,m_fill,w_").concat(options.width, ",h_").concat(options.height);
  }

  return url + IMAGE_PROCESS;
}
function exportStyleSizeClass(styles, size) {
  return _defineProperty({}, styles[size], true);
}

export { addImageProcess as a, exportStyleSizeClass as e };
//# sourceMappingURL=utils-6b513b37.js.map
