/// <reference types="react" />
import React from "react";
interface Props {
    rowMode: "single" | "multi";
    price: number;
    onPriceChange: (v: number) => void;
    size: "small" | "normal" | "large";
    focusScroll: boolean;
    withTitle: boolean;
    titleText?: string | JSX.Element[] | JSX.Element;
    inputPlaceholderText?: string;
    priceOptions?: Array<any>;
    priceRender?: Function;
    inputPriceRender?: Function;
    inputSuffix?: string | JSX.Element[] | JSX.Element;
    injectOptions?: {
        priceBtnClass: (isActive: boolean) => any;
        priceInputClass: Function;
    };
    inputRef: React.RefObject<any>;
}
declare const PriceOptions: ({ price, onPriceChange, rowMode, size, focusScroll, withTitle, titleText, inputPlaceholderText, priceOptions, priceRender, inputPriceRender, inputSuffix, injectOptions, inputRef }: Props) => JSX.Element;
export { PriceOptions as default };
