/// <reference types="react" />
import React from "react";
import { PopoverProps } from "antd/lib/popover";
import { WatnedPublishBase, WatnedPublishBaseP } from "../WantedPublish-761aab8e";
interface WantedPublishPopoverProp extends WatnedPublishBaseP {
    popoverConfig?: PopoverProps;
}
interface WantedPublishPopoverState {
    visible: boolean;
    current_wanted: number | string | null;
}
declare class WantedPublishPopover extends WatnedPublishBase<WantedPublishPopoverProp, WantedPublishPopoverState> {
    constructor(props: WantedPublishPopoverProp);
    handleConfirmButton: (containerRef?: React.RefObject<any> | undefined) => void;
    renderInitView(): JSX.Element;
    render(): JSX.Element;
}
export { WantedPublishPopover as default, WantedPublishPopover, WantedPublishPopoverProp, WantedPublishPopoverState };
