import { create } from '@storybook/theming/create';

export default create({
  base: 'light',

  colorPrimary: '#fc4747',
  colorSecondary: '#fc695a',

  // UI
  appBg: 'white',
  appContentBg: 'white',
  appBorderColor: 'grey',
  appBorderRadius: 4,

  // Typography
  fontBase: '"Open Sans", sans-serif',
  fontCode: 'monospace',

  // Text colors
  textColor: 'black',
  textInverseColor: 'rgba(255,255,255,0.9)',

  // Toolbar default and active colors
  barTextColor: 'black',
  barSelectedColor: 'white',
  barBg: '#fc4747',

  // Form colors
  inputBg: 'white',
  inputBorder: 'silver',
  inputTextColor: 'black',
  inputBorderRadius: 4,

  brandTitle: 'BilingoUI',
  brandUrl: 'https://www.bilingo.com/',
  brandImage: 'https://a.links123.cn/common/imgs/logo_en_mobile@2x.png?2019021101',
});