import { Component } from "react";
interface WatnedPublishBaseP {
    inputWantedRange?: [number, number];
    handleConfirm?: Function;
    currentWanted?: string | number | null;
    viewConfig?: {
        showInputWantedClear?: boolean;
        viewTextOptions?: {
            viewTitle: string;
            imgLabelBottom: string;
            inputTipTop: string;
            numberSuffix: string;
            inputTipBottom: string;
            clearModalTitle?: string;
            clearModalTip?: string;
        };
    };
}
declare class WatnedPublishBase<T extends WatnedPublishBaseP, S> extends Component<T, S> {
    formatCurrentWanted: (value: string | number | null) => string | number | null;
    formatResult: (value: string | number | null) => string | null;
}
export { WatnedPublishBaseP, WatnedPublishBase };
