/// <reference types="react" />
import React from "react";
interface WantedPublishViewProps {
    type?: "pop" | "modal";
    wrapperClass?: string;
    current_wanted: number | string | null;
    showInputWantedClear?: boolean;
    viewTextOptions?: {
        viewTitle: string;
        imgLabelBottom: string;
        inputTipTop: string;
        numberSuffix: string;
        inputTipBottom: string;
    };
    InputWantedValueChange: Function;
    InputWantedPressEnter: Function;
    InputWantedOnBlur: Function;
    InputWantedClear: Function;
    InputWantedConfirm: Function;
}
interface WantedPublishViewState {
    payment?: number;
}
declare class WantedPublishView extends React.Component<WantedPublishViewProps, WantedPublishViewState> {
    private containerRef;
    constructor(props: WantedPublishViewProps);
    componentWillUnmount(): void;
    render(): JSX.Element;
}
declare function WantedViewWranModel({ refMount, actionConfirm, actionCancel, viewTextOptions }: {
    refMount: any;
    actionConfirm: any;
    actionCancel: any;
    viewTextOptions?: {
        warnModalTitle?: string;
        warnModalTip?: string;
    };
}): void;
export { WantedPublishView as default, WantedViewWranModel };
