/// <reference types="react" />
import React from "react";
import { RefObject } from "react";
import { Input } from "antd";
interface AllocWantedModalProps {
    allocValue: string | number | null;
    sendValueRange: Array<string | number>;
    sendRequest: Function;
    sendGiftData: {
        answerId: string | number;
        questionId: string | number;
        toUserId: string | number;
    };
    handleVisibleChange: (visible: boolean) => void;
}
interface AllocWantedModalState {
    visible: boolean;
    outRangeTip: boolean;
    sendValue: string | number;
}
declare class AllocWantedModal extends React.Component<AllocWantedModalProps, AllocWantedModalState> {
    ModalInputRef: RefObject<Input>;
    ModalContentRef: RefObject<any>;
    constructor(props: AllocWantedModalProps);
    handleSendValueChange: (v: React.ReactText) => void;
    checkSendValue: () => boolean;
    handleCloseAction: () => void;
    handleShowAction: () => void;
    handleConfirm: () => null | undefined;
    renderCloseButton: () => JSX.Element;
    renderModalContent: () => JSX.Element;
    render(): JSX.Element;
}
export { AllocWantedModal as default };
