'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var inherits = require('../inherits-c86d64c1.js');
var React = require('react');
var React__default = _interopDefault(React);
var styleInject_es = require('../style-inject.es-dcee06b6.js');
var index = require('../index-1143667e.js');

var css = ".WaitPayInfoView_waitingContainer__3pU2F {\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  align-items: center;\n}\n";
var styles = {
  "waitingContainer": "WaitPayInfoView_waitingContainer__3pU2F"
};
styleInject_es.styleInject(css);

var img = "data:image/svg+xml,%3c%3fxml version='1.0' encoding='UTF-8'%3f%3e%3csvg width='48px' height='43px' viewBox='0 0 48 43' version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3e %3c!-- Generator: Sketch 50.2 (55047) - http://www.bohemiancoding.com/sketch --%3e %3ctitle%3ekcxq_popovers_icon_tanhao%3c/title%3e %3cdesc%3eCreated with Sketch.%3c/desc%3e %3cdefs%3e%3c/defs%3e %3cg id='Page-1' stroke='none' stroke-width='1' fill='none' fill-rule='evenodd'%3e %3cg id='%e5%8f%a6%e5%ae%a2%e7%bd%91_%e7%9b%b4%e6%92%ad%e8%af%be_%e8%af%be%e7%a8%8b%e4%bb%8b%e7%bb%8d%e8%af%a6%e6%83%85_%e8%b4%ad%e4%b9%b0%e6%8f%90%e7%a4%ba%e5%bc%b9%e7%aa%97' transform='translate(-936.000000%2c -190.000000)' fill-rule='nonzero'%3e %3cg id='Group-22' transform='translate(690.000000%2c 110.000000)'%3e %3cg id='kcxq_popovers_icon_tanhao' transform='translate(246.000000%2c 80.000000)'%3e %3cpath d='M48%2c21.5 C48%2c33.3736626 38.3645756%2c43 26.4797048%2c43 C21.1306273%2c43 17.0391144%2c42.1506173 13.2841328%2c38.9300412 C11.8140221%2c37.6736626 1.700369%2c43.2123457 0.177121771%2c39.2839506 C-1.06273063%2c36.0987654 5.95129151%2c29.2506173 5.31365314%2c27.0740741 C4.76457565%2c25.1806584 4.95940959%2c23.5703704 4.95940959%2c21.5 C4.95940959%2c9.62633745 14.5948339%2c0 26.4797048%2c0 C38.3645756%2c0 48%2c9.62633745 48%2c21.5 Z' id='Shape' fill='%231790FF'%3e%3c/path%3e %3cg id='Group' transform='translate(23.848708%2c 8.193416)' fill='white'%3e %3cpath d='M2.5%2c27.4971098 C1.13235294%2c27.4971098 0%2c26.3794628 0%2c24.9971098 C0%2c23.6147569 1.13235294%2c22.4971098 2.5%2c22.4971098 C3.86764706%2c22.4971098 5%2c23.6147569 5%2c24.9971098 C5%2c26.3794628 3.86764706%2c27.4971098 2.5%2c27.4971098 Z M2.5%2c19.4219653 C1.13235294%2c19.4219653 0%2c18.1919075 0%2c16.6705202 L0%2c2.75144509 C0%2c1.24624277 1.13235294%2c0 2.5%2c0 C3.86764706%2c0 5%2c1.2300578 5%2c2.75144509 L5%2c16.6705202 C5%2c18.1919075 3.86764706%2c19.4219653 2.5%2c19.4219653 Z' id='Shape'%3e%3c/path%3e %3c/g%3e %3c/g%3e %3c/g%3e %3c/g%3e %3c/g%3e%3c/svg%3e";

var Button = function Button() {
  for (var _len = arguments.length, props = new Array(_len), _key = 0; _key < _len; _key++) {
    props[_key] = arguments[_key];
  }

  return React__default.createElement("button", Object.assign({}, props), "button");
};

var WaitPayInfoView =
/*#__PURE__*/
function (_Component) {
  inherits._inherits(WaitPayInfoView, _Component);

  function WaitPayInfoView() {
    inherits._classCallCheck(this, WaitPayInfoView);

    return inherits._possibleConstructorReturn(this, inherits._getPrototypeOf(WaitPayInfoView).apply(this, arguments));
  }

  inherits._createClass(WaitPayInfoView, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          onClickPayed = _this$props.onClickPayed,
          onClickProblem = _this$props.onClickProblem;
      return React__default.createElement("div", {
        className: styles.waitingContainer
      }, React__default.createElement("div", {
        className: styles.infoIconImgContainer
      }, React__default.createElement("img", {
        src: img,
        alt: "info label icon"
      })), React__default.createElement("div", null, React__default.createElement("div", {
        className: styles.pay_text
      }, "live.course_info.pay.notification"), React__default.createElement("div", {
        className: styles.btn_row
      }, React__default.createElement(Button, {
        className: index.classnames(styles.pay_btn, styles.btn_default),
        size: "small",
        onClick: function onClick() {
          onClickPayed && onClickPayed();
        }
      }, "live.course_info.pay.payed"), React__default.createElement(Button, {
        className: styles.btn_default,
        size: "small",
        style: {
          marginLeft: "16px"
        },
        onClick: function onClick() {
          onClickProblem && onClickProblem();
        }
      }, "live.course_info.pay.help"))));
    }
  }]);

  return WaitPayInfoView;
}(React.Component);
WaitPayInfoView.defaultProps = {
  onClickPayed: function onClickPayed() {
    console.log("onClickPayed");
  },
  onClickProblem: function onClickProblem() {
    console.log("onClickProblem");
  }
};

exports.WaitPayInfoView = WaitPayInfoView;
exports.default = WaitPayInfoView;
//# sourceMappingURL=index.js.map
